.layer {
  background: rgba(0, 0, 0, 0.94) none repeat scroll 0 0;
  height: 100%;
  position: fixed;
  overflow: auto;
  width: 100%;
  z-index: 6000000;
  bottom: 0;
  top: 0;
}

.layer .container-layer {
  position: relative;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  margin: 0 auto;
}

.layer .container-layer .adults {
  width: 492px;
  background-color: #fff;
  padding: 16px 24px;
  margin: 0 auto;
}

.layer .container-layer .adults .adults__title {
  text-align: center;
  margin-bottom: 24px;
  font-size: 20px;
  line-height: 28px;
  font-weight: 700;
}

.layer .container-layer .adults .adults__text {
  font-size: 10px;
  line-height: 16px;
  font-weight: 400;
  color: rgba(51, 51, 51, 1);
  margin-bottom: 40px;
}

.layer .container-layer .adults .button-center {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 16px;
  text-align: center;
  margin-bottom: 24px;
}

.layer .container-layer .adults .layer-plagin {
  background-color: var(--color-main, #1677ff);
  margin: 14px 0;
}

.layer .container-layer .adults p {
  font-weight: 700;
  font-size: 12px;
  line-height: 16px;
  color: rgba(51, 51, 51, 1);
}

.adults .button-center--primarycolor {
  border: 1px solid var(--color-main, #1677ff);
  background-color: var(--color-main, #1677ff);
  color: #fff;
}

.adults .button-center--primarycolor:hover {
  border: 1px solid var(--color-main, #1677ff);
  background-color: #fff;
  color: var(--color-main, #1677ff);
}

.adults .button-center--secondarycolor {
  border: 1px solid var(--color-main, #1677ff);
  background-color: #fff;
  color: var(--color-main, #1677ff);
}

.adults .button-center--secondarycolor:hover {
  border: 1px solid rgba(255, 255, 255, 0);
}

.layer .container-layer .adults h6:last-of-type {
  margin-bottom: 0;
}

.listing-item--protected .element__media img {
  -webkit-filter: blur(40px);
  filter: blur(40px);
}

.listing-container .element.listing-item--protected .element__media:after {
  content: "";
  width: 0;
  height: 0;
}

.listing-container .element.listing-item--protected .element__media a:after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 40px;
  height: 40px;
  background-image: url(../images/adult-icon.svg);
  background-size: cover;
  z-index: 100;
  -webkit-mask-image: none;
  mask-image: none;
}

.listing-vertical-full.listing-container
  .element.listing-item--protected
  .element__media
  a:after,
.listing-vertical-full.hero-img
  .element.listing-item--protected:first-child
  .element__media
  a:after,
.listing-vertical-full.hero-img-half
  .element.listing-item--protected:first-child
  .element__media
  a:after {
  width: 80px;
  height: 80px;
}

/*for IE*/

@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
  .listing-item--protected .element__media img {
    opacity: 0.05;
  }
}

/*------------------------
TEST WYPYCHANIA NA STAGING
------------------------*/
